Bug 238336 - sysutils/battmond improvement
Summary: sysutils/battmond improvement
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rodrigo Osorio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-05 14:01 UTC by Rodrigo Osorio
Modified: 2019-09-22 08:09 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ntarmos)


Attachments
Update to v0.4 (2.08 KB, patch)
2019-09-20 12:34 UTC, Nikos Ntarmos
ntarmos: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rodrigo Osorio freebsd_committer 2019-06-05 14:01:11 UTC
- Add a new home for battmond source code in github
- Add a new switch -Z to change -H behavior and suspend the system
  To suspend the system if the batt level is under 5% just add a -Z
   battmond -H 5 -Z
- Increase version number

Feel free to rehost the code in another location and change the way I manage the suspend, no offense. :)

BTW, you should chose a license for the code, may I suggest BSD3CLAUSE
Comment 1 Rodrigo Osorio freebsd_committer 2019-07-27 09:15:47 UTC
For the record, the 23/07/2019, sent a private email to nikos ntarmos (port maintainer and software author) to his new email address (nikos.ntarmos@glasgow.ac.uk) about this PR.
Comment 2 Rodrigo Osorio freebsd_committer 2019-07-31 10:23:07 UTC
Had a feedback from Nikos today, he is mostly afk at the moment till mid-august.
Comment 3 Nikos Ntarmos 2019-09-20 12:34:36 UTC
Created attachment 207650 [details]
Update to v0.4

Adds support for suspend instead of halt (-z), changes the locate of the source code to github, changes all mentions of my old email addresses.
Comment 4 commit-hook freebsd_committer 2019-09-22 08:08:44 UTC
A commit references this bug:

Author: rodrigo
Date: Sun Sep 22 08:08:15 UTC 2019
New revision: 512560
URL: https://svnweb.freebsd.org/changeset/ports/512560

Log:
  Upgrade sysutils/battmond to v0.4

  Add license BSD2CLAUSE
  Change the distfile location to GITHUB
  Update maintainer email to <ntarmos@gmail.com>

  Major changes:
    - Add support for suspend instead of halt (-z)

  PR:		238336
  Submitted by:	ntarmos <ntarmos@cs.uoi.gr> (maintainer)

Changes:
  head/sysutils/battmond/Makefile
  head/sysutils/battmond/distinfo
  head/sysutils/battmond/files/patch-Makefile
  head/sysutils/battmond/pkg-descr
Comment 5 Rodrigo Osorio freebsd_committer 2019-09-22 08:09:29 UTC
Committed, thanks.